using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Input.Touch;
namespace P15_1
{

    public class Bat : gBaseClass
    {
        Rectangle scrBounds;
        //True      False - 
        public bool direction;

        public Bat(Game game, ref Texture2D _sprTexture,
            Vector2 _sprPosition, Rectangle _sprRectangle, int x_c, int y_c)
            : base(game, ref _sprTexture, _sprPosition, _sprRectangle, x_c, y_c)
        {
            scrBounds = new Rectangle(16, 0,
              game.Window.ClientBounds.Width-16,
              game.Window.ClientBounds.Height);
            direction = true;
        }


        public override void Update(GameTime gameTime)
        {
            
            TouchCollection touchLocations = TouchPanel.GetState();
            foreach (TouchLocation touchLocation in touchLocations)
            {
                //     
                if (touchLocation.State == TouchLocationState.Pressed||touchLocation.State == TouchLocationState.Moved)
                {
                    //   
                    if (sprPosition.X+48 < touchLocation.Position.X)
                    {
                        direction = false;
                    }
                    else
                    {
                        direction = true;
                    }
                    // ,   ,  , 
                    //     
                    sprPosition.X = touchLocation.Position.X-48;

                }
            }
            //     
            Check();

            base.Update(gameTime);
        }
        //    
        //   
        void Check()
        {
            if (sprPosition.X < scrBounds.Left)
            {
                sprPosition.X = scrBounds.Left;

            }
            if (sprPosition.X > scrBounds.Width - sprRectangle.Width)
            {
                sprPosition.X = scrBounds.Width - sprRectangle.Width;

            }
        }
    }
}